Page MenuHomePhabricator

Differentiate between <mapframe> and <maplink> page counts in Grafana
Open, NormalPublic

Description

Instead of batching them together, we should separate them into multiple tracking categories.

Event Timeline

Yurik created this task.Nov 1 2016, 6:08 PM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 1 2016, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from All map-related tasks to Analytics on the Maps board.Nov 1 2016, 6:08 PM
Aklapper renamed this task from Diffirentiate between <mapframe> and <maplink> page counts in Grafana to Differentiate between <mapframe> and <maplink> page counts in Grafana.Nov 1 2016, 8:40 PM
Gehel moved this task from Backlog to To-do on the Maps-Sprint board.Nov 2 2016, 7:34 PM
MaxSem claimed this task.Nov 23 2016, 12:21 AM
MaxSem moved this task from To-do to In progress on the Maps-Sprint board.
This comment was removed by MaxSem.

Change 323325 had a related patch set uploaded (by MaxSem):
Track mapframes and maplinks separately

https://gerrit.wikimedia.org/r/323325

Change 323325 merged by jenkins-bot:
Track mapframes and maplinks separately

https://gerrit.wikimedia.org/r/323325

Change 324347 had a related patch set uploaded (by MaxSem):
refreshLinks.php: allow refreshing by categories, tracking or not

https://gerrit.wikimedia.org/r/324347

Yurik moved this task from Analytics to Kartographer on the Maps board.Dec 6 2016, 3:31 PM
Yurik edited projects, added Maps (Kartographer); removed Maps.

I think this needs to happen; data on this distinction may be very important in the future.

Change 324347 merged by jenkins-bot:
refreshLinks.php: allow refreshing by categories, tracking or not

https://gerrit.wikimedia.org/r/324347

MaxSem moved this task from In progress to To-do on the Maps-Sprint board.Feb 6 2017, 7:50 PM
MaxSem removed MaxSem as the assignee of this task.May 2 2017, 11:02 PM
Gehel added a subscriber: Gehel.Jun 6 2017, 7:29 PM

Looking at graphite (under the key kartographer.pages.*), I still see only a singe metric per wiki, so unless I misunderstand what we planned to do here (and that might well be the case) I think this has not been entirely completed yet.

Gehel added a comment.Jun 6 2017, 7:30 PM

@MaxSem do you know what we actually tried to do with this? Do you know where those new metrics should be?

debt moved this task from To-do to Stalled/Waiting on the Maps-Sprint board.Jun 6 2017, 7:40 PM
MaxSem added a comment.Jun 6 2017, 7:56 PM

I initially added different tracking categories for mapframe and maplink, but then reverted because with all the analytics requirements, pages would end up with a bunch of silly categories not needed by users. So, this needs to be done from scratch.

debt moved this task from Stalled/Waiting to Backlog on the Maps-Sprint board.Jun 6 2017, 8:20 PM
debt added a subscriber: debt.

Thanks for the info, @MaxSem. Moving to backlog until such time that we can take this up again.

Moving off the sprint board - the Discovery team won't be able to do this work at this time.